List bookable areas
curl --request GET \
--url https://api.1club.ai/v1/platform/areas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.1club.ai/v1/platform/areas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.1club.ai/v1/platform/areas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"clubId": 123,
"sports": [
"<string>"
],
"pricePerHour": 123,
"maxConcurrentBookings": 123,
"timezone": "<string>",
"operatingHours": {}
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Areas
List bookable areas
Returns the organization’s bookable areas (e.g. padel courts). Optionally filter by club or sport (e.g. padel). Use the returned area id as areaId when creating a booking.
GET
/
v1
/
platform
/
areas
List bookable areas
Authorizations
Organization-scoped bearer credential: a customer API key (1club_sk_live_...) or an MCP OAuth access token.
Query Parameters
Only return areas belonging to this club
Only return areas whose area type lists this sport (e.g. "padel")
Response
List of bookable areas
IANA timezone the operating hours are expressed in (the club's, falling back to the organization's). Convert a local wall time in this zone when sending startTime/endTime to POST /v1/platform/bookings.
Per-day-of-week opening schedule
Was this page helpful?